export declare type ProvinsiContract = {
    id: number;
    name: String;
};
export declare type KotaContract = {
    id: number;
    provinsi_id: ProvinsiContract['id'];
    name: String;
};
export declare type KecamatanContract = {
    id: number;
    provinsi_id: ProvinsiContract['id'];
    kota_id: KotaContract['id'];
    postal_code: number | null;
    name: String;
};
export declare type AddressContract = {
    provinsi: ProvinsiContract[];
    kota: KotaContract[];
    kecamatan: KecamatanContract[];
};
export interface AutocompleteContract {
    label: String;
    provinsi: String;
    kota: String;
    kecamatan: String;
    id: Number;
    postal_code: Number | null;
}
export declare const Address: AddressContract;
export declare function findById(type: 'kecamatan', id: Number): KecamatanContract;
export declare function findById(type: 'kota', id: Number): KotaContract;
export declare function findById(type: 'provinsi', id: Number): ProvinsiContract;
export declare const flattenAddress: () => {
    provinsi: string;
    kota: string;
    kecamatan: String;
    postal_code: number | null;
    label: string;
    id: number;
}[];
